package model.Americas

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources._10_strawberries
import recipeappkmp.shared.generated.resources.coxhinas
import kotlin.time.Duration

val brazilianList = listOf(
    Recipe(
        title = "Coxinha",
        description = "Brazilian style croquettes; shredded chicken battered and fried.",
        prepTime = Duration.parse("2h"),
        cookTime = Duration.parse("1h"),
        servings = "Serves 8 to 12 People",
        ingredients = listOf(

            "HEADER-Boiled Chicken",
            "600g Chicken",
            "5 Cups Chicken Broth",
            "1 Carrot",
            "2 Onions, halved",
            "2 Bay Leaves",

            "HEADER-Filling",
            "2 Tbsp Butter",
            "2 Cloves Garlic",
            "Juice of 1 Lime",
            "1 Cup Cream Cheese",

            "HEADER-Batter",
            "3 Cups Flour",
            "2 Tsp Oil",
            "2 Eggs",
            "3 Cups Bread Crumbs",
        ),
        instructions = listOf(
            "Cover Chicken with the Broth [5 Cups]. Add [1] Carrot, [1] Onion, and [2] Bay Leaves.",
            "Boil until Chicken is cooked through. Pull and set aside, straining and reserving the Broth.",
            "Saute the second Onion and the Garlic [2 Cloves] in Butter [2 Tbsp].",
            "Shred the Chicken. Mix in Lime Juice and Cream Cheese [1 Cup], and the Garlic-Onion Mixture.",
            "Combine strained Broth [3 Cups] with Flour [3 Cups], Oil [2 Tsp], Salt and Pepper.",
            "In a pan over Medium heat, reduce the dough mixture until dried ever so slightly, pulling away from the walls of the pan.",
            "Chill the Chicken Mixture and the Dough for at least an hour, up to overnight.",
            "Once Chilled, make the Coxinhas. Take a Golf ball sized piece of dough, flattened into a round. Fill with about 1 Tbsp of filling",
            "Wrap up the sides into a teardrop, using a small amount of Milk or Water to seal the dough shut.",
            "Dip the Coxhina in beaten Egg Mixture, then roll in Breadcrumbs.",
            "Deep fry in batches at 365F, about 4 minutes per batch.",
        ),
        tags = mapOf(
            "Brazilian" to TagType.CUISINE,
            "Deep Fried" to TagType.TECHNIQUE,
            "Savory" to TagType.FLAVOUR,
            "Creamy" to TagType.FLAVOUR,
            "Appetizer" to TagType.COURSE,
            "Street Food" to TagType.TECHNIQUE
        ),
        image = Res.drawable.coxhinas,
    )
)