package model.Europe

import model.Recipe
import model.TagType
import recipeappkmp.shared.generated.resources.Res
import recipeappkmp.shared.generated.resources.cordon_bleu
import kotlin.time.Duration

val frenchList = listOf(
    Recipe(
        title = "Chicken Cordon Bleu",
        description = "Chicken Wrapped with Ham and Cheese, Breaded, and Baked",
        prepTime = Duration.parse("20m"),
        cookTime = Duration.parse("40m"),
        servings = "4 Large Servings",
        ingredients = listOf(
            "4 Chicken Breasts",
            ".25 Tsp Salt",
            ".125 Tsp Pepper",
            "6 Slices Swiss Cheese",
            "4 Slices Cooked Ham",
            ".5 Cup Bread Crumbs",
        ),
        instructions = listOf(
            "Preheat oven to 350F.",
            "Pound Chicken to 1/4 inch. Season with Salt and Pepper.",
            "Place 1 Piece of Swiss and 1 Slice of Ham on each Breast.",
            "Wrap, securing with Toothpicks.",
            "Coat with Breadcrumbs, then place each Wrap onto a baking dish.",
            "Bake for 30-35 minutes, then top each Wrap with 1/2 a slice of Swiss Cheese, then return to the oven for another 5 minutes.",
            "Remove Toothpicks and Serve.",

        ),
        tags = mapOf(
            "French" to TagType.CUISINE,
            "Carnivorous" to TagType.CUISINE,
            "Entree" to TagType.COURSE,
            "Baked" to TagType.TECHNIQUE,
        ),
        image = Res.drawable.cordon_bleu,
    )
)